
package de.ivu.elect.presentation.gebietsbaum.form;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.gebietsbaum.GebietEditBuilder;

@Specializes
public class CoreGebietEditBuilder extends GebietEditBuilder {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient CoreGebietEditCustomProperties coreGebietEditCustomProperties;

  public CoreGebietEditBuilder() {
    super();
  }

  @Override
  public void addProperties(FormBuilder formBuilder, Gebiet gebiet) {
    super.addProperties(formBuilder, gebiet);

    coreGebietEditCustomProperties.addProperties(formBuilder, gebiet);
  }
}
